EVIM(1)

NAME
evim - « Easy Vim », édite un fichier avec Vim sans utiliser les modes

SYNOPSIS
evim [options] [fichier ...]
eview

DESCRIPTION
eVim lance Vim et configure ses options afin qu'il se comporte comme un éditeur sans mode. Cela reste Vim, mais vous pouvez l'utiliser comme un éditeur « cliquer-taper ». Cela ressemble beaucoup à l'édition avec Notepad sur MS-Windows. eVim ne fonctionne qu'avec l'interface graphique, qui est nécessaire pour permettre l'utilisation des menus et de la barre d'outils.

Il n'est utile qu'aux personnes qui ne parviennent vraiment pas à utiliser Vim de façon traditionnelle. L'édition est alors bien moins efficace.

eview fait la même chose, mais démarre Vim en mode Lecture-seule. Cela revient à lancer evim -R.

Voir vim(1) pour davantage d'informations sur Vim, les options, etc.

L'option 'insertmode' est activée pour permettre de taper directement du texte.
Les mappages sont configurés pour que Copier et Coller fonctionnent avec les raccourcis habituels de MS-Windows. CTRL-X coupe le texte, CTRL-C copie le texte et CTRL-V colle le texte. Vous pouvez utiliser CTRL-Q pour obtenir la fonction originale de CTRL-V.

OPTIONS
Voir vim(1).

FICHIERS

/usr/share/vim/vim72/evim.vim
    Le script chargé pour initialiser eVim.

AUSSI CONNU SOUS
Également connu sous le nom « Vim pour gumbies » [N.D.T. : Flying Circus...]. Quand vous utilisez eVim, vous êtes censé prendre un mouchoir de poche, faire un noeud à chaque coin et le porter sur votre tête.

VOIR AUSSI
vim(1)

AUTEUR
La majeure partie de Vim a été écrite par Bram Moolenaar, avec l'aide de nombreux autres contributeurs. Voir le menu Aide/Remerciements ou ":help credits" dans Vim.

TRADUCTION
Cette page de manuel a été traduite David Blanchet. <david.blanchet@free.fr> 2005-03-26.